Last Comment Bug 775958 - Combobox dropdown menu only shows one item sometimes
: Combobox dropdown menu only shows one item sometimes
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Layout: Form Controls (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla17
Assigned To: Mats Palmgren (vacation)
:
Mentors:
https://bugzilla.mozilla.org/
Depends on: 780661
Blocks: CVE-2012-3984
  Show dependency treegraph
 
Reported: 2012-07-20 07:27 PDT by Mats Palmgren (vacation)
Modified: 2012-08-15 09:53 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mats Palmgren (vacation) 2012-07-20 07:27:57 PDT
STEPS TO REPRODUCE
(using a fresh profile)
1. load https://bugzilla.mozilla.org/
2. click Search
3. click Advanced Search
4. click Detailed Bug Information
5. click the Comment combobox

ACTUAL RESULTS
"contains all of the strings" is the only item in the menu.
Reloading the page fixes it.

PLATFORMS AND BUILDS TESTED
Firefox nightly on OSX
Comment 1 Mats Palmgren (vacation) 2012-07-20 07:40:00 PDT
I suspect that the bug only occurs when the <select> is initially "display:none"
and then later (step 4) is made visible.
Comment 2 Mounir Lamouri (:mounir) 2012-07-23 11:58:02 PDT
Reproduced with GTK.
Comment 3 Mounir Lamouri (:mounir) 2012-07-23 12:08:36 PDT
It seems that toggling display style value isn't enough to reproduce this bug.
Comment 4 Jonas Sicking (:sicking) PTO Until July 5th 2012-07-23 13:38:58 PDT
I've seen this a few times when going to plus a r? patch. I think it has been when using the spliter review tool in bugzilla. However it doesn't happen consistently enough that I think it's purely a function of setting CSS properties.
Comment 5 Mats Palmgren (vacation) 2012-08-07 19:03:49 PDT
Bug 780661 will fix this hopefully.
Comment 6 Mats Palmgren (vacation) 2012-08-15 09:53:15 PDT
Fixed by bug 780661.

Note You need to log in before you can comment on or make changes to this bug.